Bug 431606 - Require jre instead of java to allow "vanilla" sun-java rpms to fulfill requires
Require jre instead of java to allow "vanilla" sun-java rpms to fulfill requires
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-05 16:01 EST by Mikel Ward
Modified: 2008-04-22 18:41 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.3.0-6.14.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 18:41:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dummy package to make jre satisfy java (518 bytes, text/x-rpm-spec)
2008-02-07 18:34 EST, Mikel Ward
no flags Details

  None (edit)
Description Mikel Ward 2008-02-05 16:01:08 EST
I need to run the Sun version of Java and I'm worried having the GCJ version
will cause problems.

I installed the JRE RPM (jre-6u3-linux-i586.rpm) from java.sun.com.

If I want to install OpenOffice, yum tries to install java-1.5.0-gcj.i386,
apparently because the openoffice-core depends on java >= 1.5.0.

It would be nice if the package allowed the Sun Java RPM to provide this virtual
dependency.  It provides "jre".
Comment 1 Caolan McNamara 2008-02-06 04:00:14 EST
You could use icedtea if you wanted effectively the sun java, 
or use the jpackage sun-java rpms, e.g. see How do I install a working Java
plugin for my web browser? at http://www.fedorafaq.org/. 
And Either way it doesn't actually matter as gcj should be able to co-exist with
sun-java

Nevertheless, I see no harm in requiring jre instead of java, so if there's
another F-8 update of OOo that'll be in it
Comment 2 Mikel Ward 2008-02-07 18:34:32 EST
Created attachment 294290 [details]
dummy package to make jre satisfy java

This depends on version 1.6.0_03 of the JRE.  For some reason Requires: java =
1.6 or Requires: java = 1.6.0 don't work.
Comment 3 Mikel Ward 2008-02-07 18:38:21 EST
This still doesn't solve the problem, because openoffice.org-core wants to pull
down xalan-j2, bsh, hsqldb, xerces-j2, which in turn have other dependencies on gcj!

Are all these dependencies really necessary?

$ sudo yum install openoffice.org-writer
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package openoffice.org-writer.i386 1:2.3.0-6.11.fc8 set to be updated
--> Processing Dependency: libuno_sal.so.3(UDK_3_0_0) for package:
openoffice.org-writer
--> Processing Dependency: libuno_cppu.so.3 for package: openoffice.org-writer
--> Processing Dependency: libstlport_gcc.so for package: openoffice.org-writer
--> Processing Dependency: libuno_cppuhelpergcc3.so.3(UDK_3_0_0) for package:
openoffice.org-writer
--> Processing Dependency: libsw680li.so for package: openoffice.org-writer
--> Processing Dependency: libucbhelper4gcc3.so for package: openoffice.org-writer
--> Processing Dependency: libsvt680li.so for package: openoffice.org-writer
--> Processing Dependency: libsvx680li.so for package: openoffice.org-writer
--> Processing Dependency: libuno_sal.so.3(UDK_3.3) for package:
openoffice.org-writer
--> Processing Dependency: libuno_cppu.so.3(UDK_3_0_0) for package:
openoffice.org-writer
--> Processing Dependency: libsvl680li.so for package: openoffice.org-writer
--> Processing Dependency: libcomphelp4gcc3.so for package: openoffice.org-writer
--> Processing Dependency: libtk680li.so for package: openoffice.org-writer
--> Processing Dependency: libvcl680li.so for package: openoffice.org-writer
--> Processing Dependency: libxo680li.so for package: openoffice.org-writer
--> Processing Dependency: libso680li.so for package: openoffice.org-writer
--> Processing Dependency: libuno_sal.so.3 for package: openoffice.org-writer
--> Processing Dependency: openoffice.org-core = 1:2.3.0-6.11.fc8 for package:
openoffice.org-writer
--> Processing Dependency: libsfx680li.so for package: openoffice.org-writer
--> Processing Dependency: libsb680li.so for package: openoffice.org-writer
--> Processing Dependency: libutl680li.so for package: openoffice.org-writer
--> Processing Dependency: libtl680li.so for package: openoffice.org-writer
--> Processing Dependency: libsot680li.so for package: openoffice.org-writer
--> Processing Dependency: libuno_cppuhelpergcc3.so.3 for package:
openoffice.org-writer
--> Processing Dependency: libsoffice.so for package: openoffice.org-writer
--> Running transaction check
---> Package openoffice.org-core.i386 1:2.3.0-6.11.fc8 set to be updated
--> Processing Dependency: xalan-j2 for package: openoffice.org-core
--> Processing Dependency: bsh for package: openoffice.org-core
--> Processing Dependency: hsqldb for package: openoffice.org-core
--> Processing Dependency: xerces-j2 for package: openoffice.org-core
--> Running transaction check
---> Package xalan-j2.i386 0:2.7.0-6jpp.1 set to be updated
--> Processing Dependency: java-gcj-compat for package: xalan-j2
---> Package hsqldb.i386 1:1.8.0.8-1jpp.5.fc8 set to be updated
--> Processing Dependency: servletapi5 for package: hsqldb
--> Processing Dependency: servletapi5 for package: hsqldb
---> Package xerces-j2.i386 0:2.7.1-7jpp.2 set to be updated
--> Processing Dependency: xml-commons-resolver >= 1.1 for package: xerces-j2
---> Package bsh.i386 0:1.3.0-9jpp.2 set to be updated
--> Processing Dependency: bsf for package: bsh
--> Running transaction check
---> Package java-1.5.0-gcj.i386 0:1.5.0.0-17.fc8 set to be updated
filelists.sqlite.bz2      100% |=========================| 2.4 MB    00:06     
filelists.sqlite.bz2      100% |=========================| 206 kB    00:02     
filelists.sqlite.bz2      100% |=========================| 3.3 MB    00:05     
--> Processing Dependency: sinjdoc for package: java-1.5.0-gcj
---> Package xml-commons-resolver.i386 0:1.1-1jpp.12 set to be updated
---> Package tomcat5-servlet-2.4-api.i386 0:5.5.25-3jpp.1.fc8 set to be updated
---> Package bsf.i386 0:2.3.0-11jpp.1 set to be updated
--> Processing Dependency: tomcat5-jsp-2.0-api for package: bsf
--> Running transaction check
---> Package tomcat5-jsp-2.0-api.i386 0:5.5.25-3jpp.1.fc8 set to be updated
---> Package sinjdoc.i386 0:0.5-4.fc7 set to be updated
--> Processing Dependency: java_cup >= 0.10 for package: sinjdoc
--> Running transaction check
---> Package java_cup.i386 1:0.10-0.k.6jpp.1 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 openoffice.org-writer   i386       1:2.3.0-6.11.fc8  updates           3.1 M
Installing for dependencies:
 bsf                     i386       2.3.0-11jpp.1    fedora            335 k
 bsh                     i386       1.3.0-9jpp.2     fedora            557 k
 hsqldb                  i386       1:1.8.0.8-1jpp.5.fc8  updates           1.6 M
 java-1.5.0-gcj          i386       1.5.0.0-17.fc8   fedora            119 k
 java_cup                i386       1:0.10-0.k.6jpp.1  fedora            180 k
 openoffice.org-core     i386       1:2.3.0-6.11.fc8  updates            82 M
 sinjdoc                 i386       0.5-4.fc7        fedora            822 k
 tomcat5-jsp-2.0-api     i386       5.5.25-3jpp.1.fc8  updates            91 k
 tomcat5-servlet-2.4-api  i386       5.5.25-3jpp.1.fc8  updates           142 k
 xalan-j2                i386       2.7.0-6jpp.1     fedora            2.7 M
 xerces-j2               i386       2.7.1-7jpp.2     fedora            1.9 M
 xml-commons-resolver    i386       1.1-1jpp.12      fedora            148 k
Comment 4 Caolan McNamara 2008-02-08 04:10:52 EST
The direct requirements on bsf, hsqldb etc are truly required by OOo. Their own
further dependencies on gcj aren't under my control but of the particular
packages themselves.
Comment 5 Fedora Update System 2008-03-20 04:07:35 EDT
openoffice.org-2.3.0-6.12.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-03-21 18:02:02 EDT
openoffice.org-2.3.0-6.12.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2552
Comment 7 Fedora Update System 2008-04-08 14:40:45 EDT
openoffice.org-2.3.0-6.13.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-04-17 14:38:38 EDT
openoffice.org-2.3.0-6.14.fc8 has been submitted as an update for Fedora 8
Comment 9 Fedora Update System 2008-04-22 18:41:10 EDT
openoffice.org-2.3.0-6.14.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.